#include "TeensyPwm.h"

#include <stdint.h>

#include "hardware.h"
#include "rotary.h"
#include "pwm.h"
#include "display.h"
#include "cmd.h"



CmdServer cmdServer();

void setup() {
	Serial.begin(115200);
	Serial.println("Teensy SMPS");

	pwmInit();
	rotaryInit();
	displayInit();
	cmdServer.begin();
}

void loop() {
	displayExec();
	cmdServer.exec();
}
